; ####################################################
;       William F. Cravener  Wed . Feb . 18 . 09
; ####################################################
    
        .486
        .model flat,stdcall
        option casemap:none   ; case sensitive
    
; ####################################################
    
        include \masm32\include\windows.inc
        include \masm32\include\user32.inc
        include \masm32\include\kernel32.inc

        includelib \masm32\lib\user32.lib
        includelib \masm32\lib\kernel32.lib
   
; ####################################################
.const

	DM_BITSPERPEL       equ 40000h
	DM_PELSWIDTH        equ 80000h
	DM_PELSHEIGHT       equ 100000h
	DM_DISPLAYFLAGS     equ 200000h
	DM_DISPLAYFREQUENCY equ 400000h

.data
        hInstance  dd ?
        resolution DEVMODE <>
   
; ###############################################################
    
.code
    
start:
        invoke GetModuleHandle,NULL
        mov hInstance,eax
        mov resolution.dmFields,DM_BITSPERPEL or DM_PELSWIDTH or DM_PELSHEIGHT or DM_DISPLAYFLAGS or DM_DISPLAYFREQUENCY
        mov resolution.dmBitsPerPel,32             ; Color bits
        mov resolution.dmPelsWidth,1280            ; X pixel width 
        mov resolution.dmPelsHeight,1024           ; Y pixel height 
        mov resolution.dmDisplayFlags,0            ; Display mode noninterlaced
        mov resolution.dmDisplayFrequency,70       ; Monitor Display Frequency
        mov resolution.dmSize,sizeof resolution    ; Size of resolution structure
        ;
        invoke ChangeDisplaySettings,addr resolution,0
        ;
        invoke ExitProcess,eax
    
; ###############################################################
    
end start
